API ReferenceContractsV3
Add Contract Providers
Appends a list of rendering provider IDs to the contract. Provider IDs already on the contract are silently ignored.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
contract_id*contractsv3ContractId
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/contracts/v3/497f6eca-6276-4993-bfeb-53cbbbba6f08/providers" \ -H "Content-Type: application/json" \ -d '{ "rendering_provider_ids": [ "f5ddda7e-497c-499a-baab-5ac956a5c1d8" ] }'{ "provider_count": 0, "added_count": 0, "ignored_count": 0}